<?php
/**
* Header Options.
*
* @package Electrician Company
*/

$electrician_company_default = electrician_company_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'electrician_company_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'electrician-company' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'electrician_company_theme_option_panel',
	)
);

$wp_customize->add_setting('electrician_company_sticky',
    array(
        'default' => $electrician_company_default['electrician_company_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'electrician_company_sanitize_checkbox',
    )
);
$wp_customize->add_control('electrician_company_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'electrician-company'),
        'section' => 'electrician_company_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'electrician_company_header_layout_email_address',
    array(
    'default'           => $electrician_company_default['electrician_company_header_layout_email_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'electrician_company_header_layout_email_address',
    array(
    'label'    => esc_html__( 'Email Id', 'electrician-company' ),
    'section'  => 'electrician_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'electrician_company_header_layout_phone_number',
    array(
    'default'           => $electrician_company_default['electrician_company_header_layout_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'electrician_company_header_layout_phone_number',
    array(
    'label'    => esc_html__( 'Phone Number', 'electrician-company' ),
    'section'  => 'electrician_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'electrician_company_header_layout_address',
    array(
    'default'           => $electrician_company_default['electrician_company_header_layout_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'electrician_company_header_layout_address',
    array(
    'label'    => esc_html__( 'Address', 'electrician-company' ),
    'section'  => 'electrician_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('electrician_company_header_search',
    array(
        'default' => $electrician_company_default['electrician_company_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'electrician_company_sanitize_checkbox',
    )
);
$wp_customize->add_control('electrician_company_header_search',
    array(
        'label' => esc_html__('Enable Search', 'electrician-company'),
        'section' => 'electrician_company_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('electrician_company_menu_font_size',
    array(
        'default'           => $electrician_company_default['electrician_company_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'electrician_company_sanitize_number_range',
    )
);
$wp_customize->add_control('electrician_company_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'electrician-company'),
        'section'     => 'electrician_company_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'electrician_company_menu_text_transform',
    array(
    'default'           => $electrician_company_default['electrician_company_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'electrician_company_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'electrician_company_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'electrician-company' ),
    'section'     => 'electrician_company_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'electrician-company' ),
        'uppercase'  => esc_html__( 'Uppercase', 'electrician-company' ),
        'lowercase'    => esc_html__( 'Lowercase', 'electrician-company' ),
        ),
    )
);

$wp_customize->add_setting( 'electrician_company_header_layout_button',
    array(
    'default'           => $electrician_company_default['electrician_company_header_layout_button'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'electrician_company_header_layout_button',
    array(
    'label'    => esc_html__( 'Header Button Text', 'electrician-company' ),
    'section'  => 'electrician_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'electrician_company_header_layout_button_url',
    array(
    'default'           => $electrician_company_default['electrician_company_header_layout_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'electrician_company_header_layout_button_url',
    array(
    'label'    => esc_html__( 'Header Button Url', 'electrician-company' ),
    'section'  => 'electrician_company_button_header_setting',
    'type'     => 'url',
    )
);


$wp_customize->add_setting('electrician_company_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'electrician_company_header_menus_color', array(
    'label'    => __('Main Menu Color', 'electrician-company'),
    'section'  => 'electrician_company_button_header_setting',
)));

$wp_customize->add_setting('electrician_company_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'electrician_company_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'electrician-company'),
    'section'  => 'electrician_company_button_header_setting',
)));

$wp_customize->add_setting('electrician_company_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'electrician_company_header_submenus_color', array(
    'label'    => __('Submenu Color', 'electrician-company'),
    'section'  => 'electrician_company_button_header_setting',
)));

$wp_customize->add_setting('electrician_company_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'electrician_company_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'electrician-company'),
    'section'  => 'electrician_company_button_header_setting',
)));